//
// Created by lydxh on 2024/5/9.
//
#include <stdio.h>
#include "tool.h"

float Mapping(float val, float I_Min, float I_Max, float O_Min, float O_Max)
{
    return(((val-I_Min)*((O_Max-O_Min)/(I_Max-I_Min)))+O_Min);
}

void BufPrint(char *name,void *buf,unsigned char size,unsigned int len,unsigned char frame){
    printf("\n%s:\n",name);
    for (int i = 0; i < len; ++i) {
        if(i%frame==0&&i!=0) printf("\n");
        switch (size) {
            case 8:
                printf("%02x ",*((unsigned char*)buf + i));
                break;
            case 16:
                printf("%04x ",*((unsigned short *)buf + i));
                break;
            case 32:
                printf("%08x ",*((unsigned int *)buf + i));
                break;
            default:
                printf("未指定类型大小");
        }
    }
    printf("\n");
}